<?php 

global $confirmNewPass, $confirmOldPass, $seeOutput, $pathToChpasswd, 
       $enforce_cracklib, $cracklib_dict_path, $pathToPw, $debug, 
       $minimumPasswordLength, $invalid_password_characters, $pathToPwPolicy;



// Set this to the minimum length of passwords you want
// to enforce.  Set to zero to disable this check
//
$minimumPasswordLength = 8;



// Set this to 1 if you want the user to have to enter 
// their new password twice.  Set to zero otherwise,
// but why would you do that?
//
$confirmNewPass = 1;



// Set this to 1 to require the user to enter thier current
// password in order to change it.  Highly recommended.
//
$confirmOldPass = 1;
//$confirmOldPass = 0;
 


// Please include the full path (not relative) to the chpasswd program
// ONLY if you are NOT using the one included with this plugin!
//
$overridePathToChpasswd = '';



// Use this setting only if you want to use the pw program to change
// your password (available on e.g. FreeBSD).  Include full path
// (not relative) to the pw program.  This will override the chpasswd
// program (as well as pwpolicy), so leave it empty if you are using 
// chpasswd or pwpolicy.  Also note that you might need to make
// a suid-enabled copy of pw - please see the "Troubleshooting" 
// section of the README file for more information on how to do
// that.
//
$pathToPw = '';



// Use this setting only if you want to use the pwpolicy program to 
// change your password (available on e.g. OS X).  Include full path
// (not relative) to the pwpolicy program.  This will override the 
// chpasswd program, so leave it empty if you are using chpasswd.
//
// $pathToPwPolicy = '/usr/bin/pwpolicy';
$pathToPwPolicy = '';



// Define a list of characters that should not be allowed 
// as part of user passwords
//
//$invalid_password_characters = array('!', '#', '&');
$invalid_password_characters = array();



// You may force your users to create more obscure (stronger)
// passwords by using CrackLib if available on your server.
// Note that this functionality does not come with most PHP
// distributions, so please review:
//
// http://php.net/crack
// http://pecl.php.net/package/crack
//
$enforce_cracklib = 0;



// If you turn on $enforce_cracklib, you should specify a dictionary
// here, unless you have already set a default dictionary by setting
// crack.default_dictionary in your php.ini
//
//$cracklib_dict_path = '/usr/local/lib/pw_dict';
$cracklib_dict_path = '';



// If you want see the output of the chpasswd program (usually
// only useful for debugging purposes, set this to 1
//
$seeOutput = 0;



// For debugging only, set this variable to 1.  WARNING: this will 
// echo any password information you enter in clear text!  Please 
// use this setting with care!
//
$debug = 0;



?>
