<?php


/**
  * SquirrelMail Change Passwd Plugin
  * Copyright (C) 2003-2006 Paul Lesneiwski <paul@squirrelmail.org>
  * Copyright (C) 2002 Thiago Melo de Paula <thiagomp@coc.com.br>
  * This program is licensed under the GNU GPL. See COPYING for details.
  *
  * @package plugins
  * @subpackage Change Passwd
  *
  */



/**
  * Register this plugin with SquirrelMail
  *
  */
function squirrelmail_plugin_init_change_passwd() 
{

   global $squirrelmail_plugin_hooks;

   $squirrelmail_plugin_hooks['optpage_register_block']['change_passwd'] 
      = 'change_passwd_plugin_optpage_register_block';

}



/** @ignore */
if (!defined('SM_PATH'))
   define('SM_PATH', '../');



/**
  * Returns info about this plugin
  *
  */
function change_passwd_info() 
{
   return array(
                  'version' => '4.2-1.2.8',
               );
}



/**
  * Returns version info about this plugin
  *
  */
function change_passwd_version() 
{
   return '4.2-1.2.8';
}



/**
  * Show change password option section on options page
  *
  */
function change_passwd_plugin_optpage_register_block() 
{

   include_once(SM_PATH . 'plugins/change_passwd/functions.php');
   change_passwd_plugin_optpage_register_block_do();

}



?>
