<?php

/**
  * SquirrelMail Change Passwd Plugin
  * Copyright (C) 2003-2006 Paul Lesneiwski <paul@squirrelmail.org>
  * Copyright (C) 2002 Thiago Melo de Paula <thiagomp@coc.com.br>
  * This program is licensed under the GNU GPL. See COPYING for details.
  *
  * @package plugins
  * @subpackage Change Passwd
  *
  */



/**
  * Show change password option section on options page
  *
  */
function change_passwd_plugin_optpage_register_block_do()
{

   global $optpage_blocks;


   bindtextdomain('change_passwd', SM_PATH . 'locale');
   textdomain('change_passwd');


   $optpage_blocks[] = array(
      'name' => _("Change Password"),
      'url'  => '../plugins/change_passwd/options.php',
      'desc' => _("Use this to change your email password."),
      'js'   => false
   );


   bindtextdomain('squirrelmail', SM_PATH . 'locale');
   textdomain('squirrelmail');

}

?>
